package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysPojoVersionDetailService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.platform.bean.SysPojoVersionDetail;
import cn.estsh.i3plus.pojo.platform.repository.SysPojoVersionDetailRepository;
import cn.estsh.impp.framework.base.service.CrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-21 下午2:28
 * @Modify:
 **/
@Service
public class SysPojoVersionDetailService extends CrudService<SysPojoVersionDetail> implements ISysPojoVersionDetailService {

    @Autowired
    private SysPojoVersionDetailRepository pojoVersionRDao;

    @Override
    public BaseRepository<SysPojoVersionDetail, Long> getRepository() {
        return pojoVersionRDao;
    }

    @Override
    public SysPojoVersionDetail getPojoVersionDetailByPojoVersionId(Long pojoVersionId) {
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean();
        DdlPreparedPack.getNumEqualPack(pojoVersionId,"pojoVersionId",ddlPackBean);
        return pojoVersionRDao.getByProperty(ddlPackBean);
    }
}
