package test.cn.estsh.i3plus.core.apiservice.util;

import cn.estsh.i3plus.platform.common.tool.ExcelTool;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.platform.bean.SysMenu;
import cn.estsh.impp.framework.boot.util.ImppRedis;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import javax.persistence.EntityManager;
import java.io.FileInputStream;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-05-21 12:57
 * @Modify:
 **/
public class ExcelReadData {

    private static EntityManager entityManager;

    @Autowired
    public void setEntityManager(EntityManager entityManager) {
        this.entityManager = entityManager;
    }

    private static ImppRedis redisRes;

    @Resource(name = CommonConstWords.IMPP_REDIS_RES)
    public void setRedisRes(ImppRedis redisRes) {
        this.redisRes = redisRes;
    }

    public static void main(String[] args) throws Exception{
        ExcelTool excelTool = new ExcelTool(entityManager, redisRes);
        List<SysMenu> list = excelTool.importData("permission.xls", new FileInputStream("E:\\permission.xls"), SysMenu.class);
        System.out.println(JSON.toJSONString(list));

    }
}
